---
title: FetchEvent.replacesClientId
slug: Web/API/FetchEvent/replacesClientId
tags:
  - API
  - DOM
  - FetchEvent
  - Property
  - Reference
  - Service Workers
  - Workers
  - replacesClientId
---
<div>{{APIRef("Service Workers API")}}</div>

<p>The <strong><code>replacesClientId</code></strong> read-only property of the {{domxref("FetchEvent")}} interface is the {{domxref("Client.id", "id")}} of the {{domxref("Client", "client")}} that is being replaced during a page navigation.</p>

<p>For example, when navigating from page A to page B <code>replacesClientId</code> is the ID of the client associated with page A. It can be an empty string when navigating from <code>about:blank</code> to another page, as <code>about:blank</code>'s client will be reused, rather than be replaced.</p>

<p>Additionally, if the fetch isn't a navigation, <code>replacesClientId</code> will be an empty string. This could be used to access/communicate with a client that will imminently be replaced, right before a navigation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myReplacedClientId</em> = <em>fetchEvent</em>.replacesClientId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">self.addEventListener('fetch', function(event) {
  console.log(event.replacesClientId);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#dom-fetchevent-replacesclientid', 'replacesClientId')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FetchEvent.replacesClientId")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a class="external external-icon" href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a class="external external-icon" href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Workers_API/Using_web_workers">Using web workers</a></li>
</ul>
